import { Series } from "./Series";
import { IHasCategoryModePreference } from "./IHasCategoryModePreference";
import { Axis } from "./Axis";
import { CategoryAxisBase } from "./CategoryAxisBase";
import { Type, Point } from "igniteui-angular-core";
import { Brush } from "igniteui-angular-core";
import { Thickness } from "igniteui-angular-core";
import { SeriesView } from "./SeriesView";
import { Rect } from "igniteui-angular-core";
import { AxisRange } from "./AxisRange";
import { Geometry } from "igniteui-angular-core";
import { FastItemsSourceEventAction } from "igniteui-angular-core";
import { CategoryMode } from "./CategoryMode";
import { RenderSurface } from "./RenderSurface";
import { RenderingContext } from "igniteui-angular-core";
/**
 * @hidden
 */
export declare class ValueOverlay extends Series implements IHasCategoryModePreference {
    static $t: Type;
    protected bj(): Series;
    constructor();
    ww: Axis;
    xf: number;
    xd: number;
    xe: number;
    xa: number;
    i5(a: Point, b: boolean, c: boolean): number;
    xb(a: Point, b: Point): number;
    wa(a: Point, b: boolean, c: boolean): Point;
    j3(a: Point): number;
    kn(a: Point): any;
    gd(a: any): boolean;
    ay(a: Axis): AxisRange;
    rq(a: boolean): void;
    xc(): number;
    xx(a: number, b: ValueOverlayView): void;
    he(a: Rect, b: Rect, c: SeriesView): boolean;
    protected sp(a: Rect, b: Rect): void;
    protected so(a: Rect, b: Rect): void;
    protected pb(a: FastItemsSourceEventAction, b: number, c: number, d: string): void;
    protected q7(a: any, b: string, c: any, d: any): void;
    p9(): void;
    o5(a: boolean, b: SeriesView): void;
    private w1;
    preferredCategoryMode(a: CategoryAxisBase): CategoryMode;
    get categoryAxis(): CategoryAxisBase;
    protected cs(): SeriesView;
    qz(a: SeriesView): void;
    private wz;
    rr(a: Rect, b: RenderSurface): void;
    getOffsetValue(): number;
    getCategoryWidth(): number;
    w0: boolean;
    wy: (item: any) => string;
    yf: Brush;
    yd: Brush;
    w4: number;
    xg: number;
    ye: Brush;
    get yg(): Thickness;
    w6: number;
    w8: number;
    w7: number;
    w5: number;
    w9: number;
    ai(): Axis[];
    private wx;
    private w3;
    private w2;
    protected xy(a: number, b: boolean): void;
    protected get_isValueOverlay(): boolean;
    xt(a: number): string;
    get xv(): string;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class ValueOverlayView extends SeriesView {
    static $t: Type;
    constructor(a: ValueOverlay);
    private b2;
    protected bd(): void;
    protected be(): void;
    b1(a: Geometry): void;
    b0(): void;
    protected a8(a: RenderingContext, b: boolean): void;
    an(a: any): void;
}
